	
	@echo off
	
	REM -- 
	REM -- ONEPRG.BAT - compile one PRG file with xHarbour to produce a C file.
	REM -- Compile the C file with BCC to produce an object file.
	REM -- 
	REM -- If either stage fails, output a message, set errorlevel to 1
	REM -- and quit.
	REM -- 
	REM -- Usage : oneprg main 
	REM -- or    : oneprg main /a /b (up to 2 parameters)
	REM -- 
	
	echo.
	echo // Compiling %1
	echo // Parameter 2 is "%2"
	echo.
	
harbour %1.PRG -n -i%HB_INSTALL%\include;%WNTK_INSTALL%\include %2 %3

rem	harbour %1.PRG -i%HB_INSTALL%\include;%WNTK_INSTALL%\include /w /a /m /n /b %2 %3
	
	if errorlevel 1 goto exit1
	
	bcc32 -c -O2 -tW -M -I%HB_INSTALL%\include;%WNTK_INSTALL%\include %1.c
	
	if errorlevel 1 goto exit1
	
	goto exit99
	
:exit1
	
	echo.
	echo //
	echo // Some sort of error occured. See above for details
	echo //
	echo.
	set myerror=Y	
	echo.
	echo // OnePrg Done
	echo.
	
:exit99
